Page MenuHomePhabricator

[AArch64][SVE] Asm: Negative tests for predicated ADD/SUB register constraints
ClosedPublic

Authored by sdesmalen on Dec 20 2017, 6:40 AM.

Diff Detail

Event Timeline

sdesmalen created this revision.Dec 20 2017, 6:40 AM
fhahn accepted this revision.Jan 2 2018, 3:42 AM

LGTM

This revision is now accepted and ready to land.Jan 2 2018, 3:42 AM
fhahn added inline comments.Jan 2 2018, 3:46 AM
test/MC/AArch64/SVE/sub-diagnostics.s
57

nit: I think it would be slightly clearer if the grouping was like this:

// Source and Destination Registers must match

sub z25.b, p4/m, z26.b, z2.b
// CHECK: [[@LINE-1]]:{{[0-9]+}}: error: operand must match destination register
// CHECK-NEXT: sub z25.b, p4/m, z26.b, z2.b
// CHECK-NOT: [[@LINE-1]]:{{[0-9]+}}:

.....

sub z2.d, p5/m, z3.d, z11.d
// CHECK: [[@LINE-1]]:{{[0-9]+}}: error: operand must match destination register
// CHECK-NEXT: sub z2.d, p5/m, z3.d, z11.d
// CHECK-NOT: [[@LINE-1]]:{{[0-9]+}}:
// --------------------------------------------------------------
rengolin accepted this revision.Jan 3 2018, 5:23 AM

Same comment as @fhahn :)

sdesmalen updated this revision to Diff 128534.Jan 3 2018, 9:40 AM

Improved formatting of negative tests for predicated add/sub.

sdesmalen marked an inline comment as done.Jan 3 2018, 9:40 AM
sdesmalen closed this revision.Jan 11 2018, 2:03 AM